﻿using System.Drawing;

namespace DeadPix.Classes
{
    public class FlashContainer
    {
        private Color _color;
        private readonly bool _isRandom;
        private readonly int _interval;

        private readonly int _width;
        private readonly int _height;

        private readonly int _xLoc;
        private readonly int _yLoc;

        public FlashContainer(int width, int height, int xLoc, int yLoc, bool isRandom, int interval)
        {
            _width = width;
            _height = height;
            _xLoc = xLoc;
            _yLoc = yLoc;

            _isRandom = isRandom;
            _interval = interval;
            _color = Color.White;
        }

        public int GetWidth()
        {
            return _width;
        }

        public int GetHeight()
        {
            return _height;
        }

        public int GetXLoc()
        {
            return _xLoc;
        }

        public int GetYLoc()
        {
            return _yLoc;
        }

        public void SetColor(Color clr)
        {
            _color = clr;
        }

        public Color GetColor()
        {
            return _color;
        }

        public int GetInterval()
        {
            return _interval;
        }

        public bool IsRandom()
        {
            return _isRandom;
        }
    }
}