﻿using System;
using System.Drawing;
using System.Windows.Forms;
using DeadPix.Classes;

namespace DeadPix.Forms
{
    public partial class FrmFlasher : Form
    {
        private Random _rnd;
        private readonly FlashContainer _fc;
        public FrmFlasher(FlashContainer fc)
        {
            InitializeComponent();
            _fc = fc;
        }

        private void tmrRandom_Tick(object sender, EventArgs e)
        {
            BackColor = Color.FromArgb(_rnd.Next(255), _rnd.Next(255), _rnd.Next(255));
        }

        private void FrmFlasher_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void FrmFlasher_KeyPress(object sender, KeyPressEventArgs e)
        {
            Close();
        }

        private void FrmFlasher_Load(object sender, EventArgs e)
        {
            Location = new Point(_fc.GetXLoc(), _fc.GetYLoc());
            Width = _fc.GetWidth();
            Height = _fc.GetHeight();

            BackColor = _fc.GetColor();
            if (!_fc.IsRandom()) return;
            _rnd = new Random();
            tmrRandom.Interval = _fc.GetInterval();
            tmrRandom.Enabled = true;
        }
    }
}