using System;
using System.Drawing;
using System.Windows.Forms;
using DeadPix.Classes;
using DevComponents.DotNetBar.Metro;

namespace DeadPix.Forms
{
    public partial class FrmMain : MetroForm
    {
        public FrmMain()
        {
            InitializeComponent();
        }

        private void FrmMain_Load(object sender, EventArgs e)
        {
            cpbCustomLocator.SelectedColor = Color.White;
        }

        private void FrmMain_SettingsButtonClick(object sender, EventArgs e)
        {
            new FrmAbout().Show();
        }

        private void btnStartLocator_Click(object sender, EventArgs e)
        {
            FlashContainer fc = new FlashContainer(Screen.PrimaryScreen.Bounds.Width, Screen.PrimaryScreen.Bounds.Height, 0, 0, chbRandomLocator.Checked, sldInterval.Value);
            if (chbRedLocator.Checked)
            {
                fc.SetColor(Color.Red);
            }
            if (chbGreenLocator.Checked)
            {
                fc.SetColor(Color.Green);
            }
            if (chbBlueLocator.Checked)
            {
                fc.SetColor(Color.Blue);
            }
            if (chbBlackLocator.Checked)
            {
                fc.SetColor(Color.Black);
            }
            if (chbCustomLocator.Checked)
            {
                fc.SetColor(cpbCustomLocator.SelectedColor);
            }
            new FrmFlasher(fc).Show();
        }

        private void cpbCustomLocator_SelectedColorChanged(object sender, EventArgs e)
        {
            cpbCustomLocator.Text = cpbCustomLocator.SelectedColor.R + @", " + cpbCustomLocator.SelectedColor.G + @", " + cpbCustomLocator.SelectedColor.B;
        }

        private void btnStartFixer_Click(object sender, EventArgs e)
        {
            new FrmOverlay(sldFixerInterval.Value).Show();
        }

        private void chbRandomLocator_CheckedChanged(object sender, EventArgs e)
        {
            sldInterval.Enabled = chbRandomLocator.Checked;
        }

        private void chbCustomLocator_CheckedChanged(object sender, EventArgs e)
        {
            cpbCustomLocator.Enabled = chbCustomLocator.Checked;
        }
    }
}